package OMAPI::Host;
    use strict;
    1;

#=============================================================================
#
sub __Encode {
    my ($package, $data1) = @_;

    my $data2 = {};
    foreach my $key (keys %$data1) {
        if ($key eq 'ethernet-address') {
            $data2->{'hardware-type'} = "\000\000\000\001";
            $data2->{'hardware-address'} = pack ('C*', map {hex}
                split (/:/, $data1->{'ethernet-address'}));
        }

        if ($key eq 'ip-address') {
            $data2->{'ip-address'} = pack ('C*', split (/\./,
                $data1->{'ip-address'}));
        }

        if (($key eq 'name') or ($key eq 'handle')) {
            $data2->{$key} = $data1->{$key};
        }
    }

    return $data2;
}
